Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## things.common.impl
Class WhoAmISimple

    java.lang.Object
      things.common.impl.WhoAmISimple

All Implemented Interfaces:
  WhoAmI

    public class WhoAmISimple

extends java.lang.Object
implements WhoAmI

A simple ID

Version:
  1.0

  Version History

       EPG - Initial - 13 OCT 04

Author:
  Erich P. Gatejen

Constructor Summary
`WhoAmISimple()` Set it as a default (systemtime)
`WhoAmISimple(java.lang.String name)` Set it as a name String.
`WhoAmISimple(java.lang.String name, java.lang.String tag)` Set it as a name and tag String.

Method Summary
`WhoAmI` | `birthMyChild(java.lang.String childsName)` Create a child ID using the given name.
`WhoAmI` | `birthMyChild(java.lang.String childsName, java.lang.String childsTag)` Create a child ID using the given name and tag.
`java.lang.String` | `toString()` Give a textual ID
`java.lang.String` | `toTag()` Give a TAG version of the ID.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WhoAmISimple

    public WhoAmISimple()

  Set it as a default (systemtime)

### WhoAmISimple

    public WhoAmISimple(java.lang.String name)

  Set it as a name String.

  Parameters:
    `name` - Any string, try to keep it short and sweet.

### WhoAmISimple

    public WhoAmISimple(java.lang.String name,
                        java.lang.String tag)

  Set it as a name and tag String.

  Parameters:
    `name` - Any string, try to keep it short and sweet.
    `tag` - A tag. It should be a simple nmemonic.

Method Detail

### toString

    public java.lang.String toString()

  Give a textual ID

  Specified by:
    `toString` in interface `WhoAmI`
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    the textual representation of the ID.

### toTag

    public java.lang.String toTag()

  Give a TAG version of the ID. This cannot be used for positive ID, but may make a convenient mnemonic. An implementation may return the same value as toString().

  Specified by:
    `toTag` in interface `WhoAmI`
  Returns:
    the tag representation of the ID.

### birthMyChild

    public WhoAmI birthMyChild(java.lang.String childsName)

  Create a child ID using the given name.

  Specified by:
    `birthMyChild` in interface `WhoAmI`
  Parameters:
    `childsName` - the given name for the child.
  Returns:
    the textual representation of the ID.

### birthMyChild

    public WhoAmI birthMyChild(java.lang.String childsName,
                               java.lang.String childsTag)

  Create a child ID using the given name and tag. It must yield the same ID if the same value is used for childsName.

  Specified by:
    `birthMyChild` in interface `WhoAmI`
  Parameters:
    `childsName` - the given name for the child.
    `childsTag` - the tag for the child.
  Returns:
    the id

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Things.